org.fourthline.cling.support.model

## Enum RecordMediumWriteStatus

- java.lang.Object
- - java.lang.Enum<RecordMediumWriteStatus>
  - - org.fourthline.cling.support.model.RecordMediumWriteStatus

- All Implemented Interfaces:
    Serializable, Comparable<RecordMediumWriteStatus>

      public enum RecordMediumWriteStatus
      extends Enum<RecordMediumWriteStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NOT_IMPLEMENTED`
    `NOT_WRITABLE`
    `PROTECTED`
    `UNKNOWN`
    `WRITABLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RecordMediumWriteStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RecordMediumWriteStatus` | `valueOrUnknownOf(String s)`
    `static RecordMediumWriteStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WRITABLE

          public static final RecordMediumWriteStatus WRITABLE

    - #### PROTECTED

          public static final RecordMediumWriteStatus PROTECTED

    - #### NOT_WRITABLE

          public static final RecordMediumWriteStatus NOT_WRITABLE

    - #### UNKNOWN

          public static final RecordMediumWriteStatus UNKNOWN

    - #### NOT_IMPLEMENTED

          public static final RecordMediumWriteStatus NOT_IMPLEMENTED

  - ### Method Detail

    - #### values

          public static RecordMediumWriteStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RecordMediumWriteStatus c : RecordMediumWriteStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RecordMediumWriteStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueOrUnknownOf

          public static RecordMediumWriteStatus valueOrUnknownOf(String s)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.